com.pixelmed.apps

## Class DownloadOrTransmit.OurQueryTreeBrowser

- java.lang.Object
- - com.pixelmed.query.QueryTreeBrowser
  - - com.pixelmed.apps.DownloadOrTransmit.OurQueryTreeBrowser

Enclosing class:
  DownloadOrTransmit

    protected class DownloadOrTransmit.OurQueryTreeBrowser
    extends QueryTreeBrowser

### Method Summary

Methods
`protected javax.swing.event.TreeSelectionListener` `buildTreeSelectionListenerToDoSomethingWithSelectedLevel()` Override this method to perform application-specific behavior when an entity is selected in the tree browser.

### Methods inherited from class com.pixelmed.query.QueryTreeBrowser

`buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord, getSelectionPaths`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### buildTreeSelectionListenerToDoSomethingWithSelectedLevel

    protected javax.swing.event.TreeSelectionListener buildTreeSelectionListenerToDoSomethingWithSelectedLevel()

Description copied from class: `QueryTreeBrowser`

Override this method to perform application-specific behavior when an entity is selected in the tree browser.

By default this method dumps the string values of the unique keys to the console for level selection, which is pretty useless.

Overrides:
  `buildTreeSelectionListenerToDoSomethingWithSelectedLevel` in class `QueryTreeBrowser`